Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Related Functions | List of all members
LatBuilder::CombinedWeights Class Reference

Combined weights. More...

`#include <CombinedWeights.h>`

Inherits LatCommon::Weights.

## Public Types
typedef std::list < std::unique_ptr < LatCommon::Weights > > | WeightsList

## Public Member Functions
| CombinedWeights ()
| Constructs an empty set of combined weights.
virtual | ~CombinedWeights ()
| Destructor.
virtual LatCommon::Weight | getWeight (const LatCommon::Coordinates &projection) const
| Returns the weight of the projection specified by `projection`.
void | add (std::unique_ptr< LatCommon::Weights > weights)
| Adds a weight specification to the set of combined weights.
const WeightsList & | list () const
Public Member Functions inherited from LatCommon::Weights
virtual | ~Weights ()
| Destructor.

## Protected Member Functions
virtual void | format (std::ostream &os) const
| Identifies the type of weights, formats them and outputs them on `os`. More...

## Protected Attributes
WeightsList | m_weights

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &os, const CombinedWeights &weights)
Related Functions inherited from LatCommon::Weights
std::ostream & | operator<< (std::ostream &os, const Weights &o)

## Detailed Description

Combined weights.

Sum of different instances of weights (possibly be of different concrete types).

## Member Function Documentation

virtual void LatBuilder::CombinedWeights::format | ( | std::ostream & | os | ) | const
| protected virtual

Identifies the type of weights, formats them and outputs them on `os`.

Remarks
  Deriving classes should identify themselves in the output.

Implements LatCommon::Weights.

## Friends And Related Function Documentation

std::ostream & operator<< | ( | std::ostream & | os,
|  | const CombinedWeights & | weights
| ) |  |
| related

Outputs the projection-dependent weights to `os` in a format readable.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/CombinedWeights.h